Bug 838537 - Content Enrichment
Content Enrichment
Status: CLOSED DEFERRED
Product: Topic Tool
Classification: Other
Component: FUDCon Docs Hack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joshua Wulf
Joshua Wulf
:
Depends On: 839111
Blocks: 699089
  Show dependency treegraph
 
Reported: 2012-07-09 08:09 EDT by Joshua Wulf
Modified: 2014-10-19 19:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-07 10:55:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-07-09 08:09:27 EDT
Add Content enrichment (concept link suggestion) to the editor:

Take the POC at http://www.atmayogi.com/node/5095 and implement.

Canonical instances of topics need to be published to docs.redhat.com

1. Investigate publishing a "book" that does not appear in the TOC. Remove all next and previous links from the brand used to publish the book. 

2. Make the URLs deterministic. The TopicID is unique in the namespace; base it on that so that the SKOS vocabulary can be generated programatically.

3. Write a publishing script to scan a book that is "published" to extract the topics; compare them with the "published list"; generate SKOS metadata for them and add a canonical instance when they are not already published.

4. Update the enrichment endpoint index with the published data periodically.

5. Style the enriched links so that they are low noise. Perhaps remove the underline from those links.

6. Persist triples describing the published canonical instances to a triple store. This is the "published list". When / if the canonical instances are ever moved it can be used to create owl:sameas triples to point to the new instances, and Apache redirect files can be generated programatically.
Comment 1 Joshua Wulf 2013-04-22 05:03:36 EDT
This is a good candidate for a feature for the Death Star editor.

Note You need to log in before you can comment on or make changes to this bug.